@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter", serif;
}
a{
    text-decoration: none;
}
body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    margin: 20px;
    color: #ABC4FF;
    font-size: 1.5em;
}
#boutton{
    display: flex;
    border-radius:1.5rem ;
    background-color: white;
    padding: 5px 0px;
    margin: 20px 0;
    max-width: 800px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}
#boutton img{
    width: 20px;
    margin: 0 5px;
}
#boutton a{
    /* background-color: #DCF343; */
    color: #4849E8;
    /* box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px; */
    /* border: 2px solid #DCF343; */
    border-radius:1.5rem ;
    padding: 8px 20px;
    width: 200px;
    font-size: 15px;
    font-weight: 600;
    display: flex;
    margin: 0px 5px;
    justify-content: center;
    text-decoration: none;
}
#boutton a:hover{
    /* box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px; */
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    background-color: #DCF343
}

.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 10px;
    width: 95%;
    max-width: 1000px;
}

.grid-hover{
    display: none;
}

#bourse, #course, #equipements, #loisirs, #loyer, #photo, #transports, #sport, #job{
    border-radius: 10px;
    height: 25vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    text-align: center;
}

#course:hover, #equipements:hover, #sport:hover, #bourse:hover, #loisirs:hover, #loyer:hover, #transports:hover, #job:hover, .grid-hover{
    display: flex;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    height: 100%;
    cursor: pointer;
}

#course:hover, #sport:hover, #bourse:hover, #loyer:hover, .grid-hover{
    background-color: #191a7a;
    color: white;
}

#transports:hover, #job:hover, #equipements:hover, #loisirs:hover, .grid-hover{
    background-color: #7b8ebd;
}

#course a, #sport a, #bourse a, #loyer a{
    color: #f4f5ef;
    text-decoration: none;
}

#loisirs a, #transports a, #job a, #equipements a{
    color: #4849E8;
    text-decoration: none;
}

#course {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    background-color: #4849E8;
}

#job {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    background-color: #ABC4FF;
}

#loyer {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
    background-color: #4849E8;
}

#equipements {
    grid-column: 4 / 5;
    grid-row: 1 / 3;
    background-color: #ABC4FF;
    height: 100%;
}


#loisirs {
    grid-column: 1 / 2;
    grid-row: 2 / 4;
    background-color: #ABC4FF;
    height: 100%;
}

#photo {
    grid-column: 2 / 4;
    grid-row: 2 / 3;
    position: relative;
    background-color: #DDF344;
}

#photo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 8px;
}

#bourse {
    grid-column: 2 / 3;
    grid-row: 3 / 4;
    background-color: #4849E8;
}

#transports {
    grid-column: 3 / 4;
    grid-row: 3 / 4;
    background-color: #ABC4FF;
}

#sport {
    grid-column: 4 / 5;
    grid-row: 3 / 4;
    background-color: #4849E8;
}
/*CODE DIFFERENTE PAGE DE DOCUMENTATION*/
.en_tete{
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
}

.en_tete h1 {
    color: #ABC4FF;
    font-size: 1.5em;
    margin: 15px 0;
}

.bandeau{
    width: 80%;
    background-color: #4849E8;
    color: #F5EFEB;
    padding: 10px;
    display: flex;
    align-items: center;
    height: 3rem;
    justify-content: center;
    border-radius: 10px;
    text-align: center;
    font-weight: 700;
    font-size: 20px;
}

.stats{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    color: #4849E8;
    margin: 5% 3%;
    width: 100%;
}
.stats .stat_info{
    font-weight: 500;
    font-size: 18px;
}
.stats span{
    font-size: 70px;
    font-weight: 700;
}

.stat1{
    text-align: center;
    max-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    min-height: 180px;
}
.source{
    font-weight: 200;
    padding: 10px 0px;
    font-size: 10px;
}
.contexte{
    margin: 0 5% 5% 5%;
    text-align: center;
    font-size: 18px;
}

.partie h2{
    width: fit-content;
    background-color: #4849E8;
    color: #DCF343;
    margin: 0 5%;
    padding: 1% 3%;
    border-radius: 15px;
    font-size: 20px;
}

.partie_chiffre{
    padding-left: 20px;
    
}
.sous-partie{
    display: flex;
    flex-wrap: wrap;
    margin: 2% 5% 5% 5%;
}

.sous-partie h3{
    color: #ABC4FF;
    margin: 0 0 1% 5%;
    width: 100%;
}

.sous-partie p{
    line-height: 1.3;
    text-align: justify;
    font-size: 18px;
}

.sous-partie img{
    width: 35%;
    height: auto;
}

.sous_part_d img{
    padding-right: 25px;
}

.sous_part_g img{
    padding-left: 25px;
}

.sous_part_d, .sous_part_g{
    display: flex;
    align-items: center;
}

.boutton{
    padding: 5%;
    display: flex;
    font-weight: 500;
    font-size: 18px;
    width: 100%;
    justify-content: space-between;
}
.boutton img{
    width: 25px;
    margin: 0px 5px;
}
.precedent{
    transform: rotate(180deg );
}
.boutton a{
    display: flex;
    align-items: center;
    color: black;
}
.boutton a:hover{
    color: #4849E8;
}

/*------------VOLUME-----------------------*/ 
.bandeSon{
    position: absolute;
    bottom: 5px;
    left: 5px;
}
.retour{
    position: fixed;
    top:20px;
    left: 20px;
    border-radius: 50%;
    background-color: #ABC4FF;
    width: 50px;
    height: 50px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.retour:hover{
    background-color:#4849E8;
}
.retour img{
    transform: rotate(90deg);
    width: 25px;
}
.bandeSon2{
    position: fixed;
    top:20px ;
    right: 20px;
}
.volume {
    width: 50px;
    height: 50px;
    border-radius: 100%;
    background-color: #ABC4FF;
    overflow: hidden;
    position: relative;
  }
  .volume:hover{
    background-color: #4849E8;
  }
  .volume-icon {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease;
    overflow: hidden;
    position: relative;
  }
  .volume-input {
    position: absolute;
    inset: 0;
    opacity: 0;
    cursor: pointer;
    z-index: 999;
  }
  .volume-icon:before {
    content: "";
    display: flex;
    width: 0px;
    height: 0px;
    border-radius: 100%;
    transition: all 0.2s ease;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: #4849E8;
  }
  .volume-input:checked + .volume-icon:before {
    width: calc(100% + 4px);
    height: calc(100% + 4px);
  }
  .volume-svg {
    z-index: 2;
    color: white;
    height: 30px;
    width: 30px;
  }
  .volume-input:checked + .volume-icon svg {
    color: rgb(255, 255, 255);
  }
  
/*MODAL*/
.modal {
    display: flex; /* Visible dès le chargement */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 1000;
  }
  
  /* Contenu de la modale */
  .modal-content {
    background-color: #fff;
    color:#4849E8;
    padding: 20px;
    border-radius: 10px;
    width: 80%;
    max-width: 600px;
    min-height: 300px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    position: relative;
  }
  
  /* Bouton de fermeture */
  .close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 25px;
    color:#191a7a;
    cursor: pointer;
  }

  .close-btn:hover {
    color:#4849E8;
  }